petsc-3.4.2 2013-07-02

# PetscBagDestroy

Destroys a bag values

### Synopsis

    #include "petscbag.h"
    PetscErrorCode  PetscBagDestroy(PetscBag *bag)

Collective on PetscBag

### Input Parameter

bag -the bag of values

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/dm/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex4.c.html
src/snes/examples/tutorials/ex7.c.html